Name:           perl-jmx4perl
Version:        1.07
Release:        2%{?dist}
Summary:        JSON-HTTP based acess to a remote JMX agent
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/jmx4perl/
Source0:        http://www.cpan.org/authors/id/R/RO/ROLAND/jmx4perl-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config::General) >= 2.34
BuildRequires:  perl(Crypt::Blowfish_PP)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(File::SearchPath)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(JSON) >= 2.12
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build) >= 0.34
BuildRequires:  perl(Module::Find)
BuildRequires:  perl(Nagios::Plugin) >= 0.27
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sys::SigAction)
BuildRequires:  perl(Term::Clui)
BuildRequires:  perl(Term::ProgressBar)
BuildRequires:  perl(Term::ReadLine::Gnu)
BuildRequires:  perl(Term::ShellUI)
BuildRequires:  perl(Term::Size) >= 0.207
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::ParseWords)
BuildRequires:  perl(URI) >= 1.35
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(XML::Twig)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Replace gnupg with perl(Crypt::OpenPGP) if it becomes available
BuildRequires:  gnupg2
Requires:       perl(Archive::Zip)
Requires:       perl(Carp)
Requires:       perl(Config::General) >= 2.34
Requires:       perl(Crypt::Blowfish_PP)
Requires:       perl(Data::Dumper)
Requires:       perl(Digest::MD5)
Requires:       perl(Digest::SHA1)
Requires:       perl(File::SearchPath)
Requires:       perl(JSON) >= 2.12
Requires:       perl(LWP::UserAgent)
Requires:       perl(Module::Find)
Requires:       perl(Nagios::Plugin) >= 0.27
Requires:       perl(Pod::Usage)
Requires:       perl(Scalar::Util)
Requires:       perl(Sys::SigAction)
Requires:       perl(Term::Clui)
Requires:       perl(Term::ProgressBar)
Requires:       perl(Term::ShellUI)
Requires:       perl(Term::Size) >= 0.207
Requires:       perl(Text::ParseWords)
Requires:       perl(URI) >= 1.35
Requires:       perl(XML::LibXML)
Requires:       perl(XML::Twig)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       gnupg2

%description
Jmx4Perl provides an alternate way for accessing Java JEE Server management
interfaces which are based on JMX (Java Management Extensions). It is an
agent based approach, where a small Java Webapplication deployed on the
application server provides an HTTP/JSON based access to JMX MBeans
registered within the application server.

%prep
%setup -q -n jmx4perl-%{version}
#Remove bundled Module-Build
rm -rf inc/Module-Build 2>/dev/null
find examples -depth -type f -exec chmod -x {} 2>/dev/null \;

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0

%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc CHANGES config examples it LICENSE META.json README scripts
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*

%changelog
* Wed Oct 02 2013 Kostas Georgiou <georgiou@opengamma.com> 1.07-2
- spec cleanup

* Wed Oct 02 2013 Kostas Georgiou <georgiou@opengamma.com> 1.07-1
- Specfile autogenerated by cpanspec 1.78.
